## raspi-utils 20240903

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.27)

project(utils)

# List of subsidiary CMakeLists
add_subdirectory(dtmerge)
add_subdirectory(eeptools)
add_subdirectory(otpset)
add_subdirectory(overlaycheck)
add_subdirectory(ovmerge)
add_subdirectory(pinctrl)
add_subdirectory(raspinfo)
add_subdirectory(vcgencmd)
add_subdirectory(vclog)
add_subdirectory(vcmailbox)
