## raspi-utils 20190624

=== debian/changelog ===
raspi-utils (20190624-1) buster; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 19 Jul 2019 13:08:42 +0100
