=== debian/control ===
Source: raspi-utils
Section: utils
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://github.com/raspberrypi/utils
Vcs-Browser: https://github.com/raspberrypi/utils
Vcs-Git: https://github.com/raspberrypi/utils.git

Package: raspinfo
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libraspberrypi-bin, net-tools,
 raspi-gpio, usbutils
Description: Dump information about the Pi
 Short script to dump information about the Pi.
 Intended for the submission of bug reports.

Package: ovmerge
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Description: Device tree overlay merging tool
 Tool for merging device tree overlays, flattening and sorting .dts files for
 easy comparison, displaying the include tree, etc
