## raspi-utils 20240903

=== debian/changelog ===
raspi-utils (20240903-0ubuntu3) plucky; urgency=medium

  * Changes requested by MIR team (LP: #2094805):
    - d/p/0002-remove-raspinfo-sudo.patch: Remove the usage of sudo from
      raspinfo. Instead check if the script is being run with elevated
      privileges
    - d/rules, d/control, d/raspi-utils-dt.*,
      d/p/0003-remove-overlaycheck.patch: Remove overlaycheck from raspi-utils
    - d/control: Move kms++-utils from Recommends to Suggests for raspinfo

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 07 Feb 2025 22:36:23 +0530

raspi-utils (20240903-0ubuntu2) plucky; urgency=medium

  * d/control: Fix target architectures
    - raspi-utils: depends on raspi-utils-core,
      hence should build for armhf and arm64
    - libraspberrypi-bin: depends on raspi-utils,
      hence should build for armhf and arm64.
      raspi-userland also built it for these
      targets only
    - raspinfo: depends on raspi-utils-core,
      hence should build for armhf and arm64
  * This unblocks the migration of raspi-utils

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 14 Jan 2025 17:01:25 +0530

raspi-utils (20240903-0ubuntu1) plucky; urgency=medium

  * Initial upload to Ubuntu (LP: #2046250)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Sat, 14 Dec 2024 00:32:07 +0530
