=== debian/control ===
Source: raspi-utils
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-python,
 python3,
 libfdt-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/raspberrypi/utils
Rules-Requires-Root: no

Package: raspi-utils
Architecture: armhf arm64
Depends:
 ${misc:Depends},
 raspi-utils-core,
 raspi-utils-otp,
 raspi-utils-dt,
 raspi-utils-eeprom,
Suggests:
 raspinfo (>= 20240402-4)
Breaks: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Replaces: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Provides: libraspberrypi-bin
Description: Raspberry Pi specific utilities
 This is a meta-package that installs all raspi-utils packages.

Package: libraspberrypi-bin
Architecture: armhf arm64
Depends:
 ${misc:Depends},
 raspi-utils
Section: oldlibs
Description: transitional package
 This is a transitional package. It can be safely removed.

Package: raspi-utils-core
Architecture: armhf arm64
Breaks: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Replaces: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Raspberry Pi specific utilities - core tools
 vclog - A tool to get VideoCore 'assert' or 'msg' logs with optional -f to wait
 for new logs to arrive
 pinctrl - A tool for displaying and modifying the GPIO and pin muxing state of
   a system, bypassing the kernel.
 vcgencmd - A tool to get various bits of information from the VideoCore
 vcmailbox - A tool to send a message to the VideoCore

Package: raspi-utils-otp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Tools for reading and setting Raspberry Pi OTP bits
 A short script to help with reading and setting the customer OTP bits

Package: raspi-utils-dt
Architecture: armhf arm64
Breaks: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Replaces: libraspberrypi-bin (<= 0~20230913+gitcc1ca18-1~)
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
 device-tree-compiler,
Description: Device Tree overlay utilities
 dtmerge - A tool for applying compiled DT overlays (*.dtbo) to base Device Tree
 files (*.dtb)
 ovmerge - A tool for merging DT overlay source files (*-overlay.dts),
 flattening and sorting .dts files for easy comparison, displaying the include
 tree, etc

Package: raspi-utils-eeprom
Architecture: armhf arm64
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Tools for creating and managing EEPROMs for HAT+ and HAT board
 Tools for building, flashing and reading Raspberry Pi HAT+  and HAT .eep files

Package: raspinfo
Architecture: armhf arm64
Depends:
 ${misc:Depends},
 raspi-utils-core,
 net-tools,
 rpi-eeprom,
 sudo,
 usbutils,
Recommends:
 pastebinit,
Suggests:
 kms++-utils,
Description: Prints information about the Raspberry Pi for bug reports
 A short script to dump information about the Pi. Intended for the
 submission of bug reports
