=== debian/rules ===
#!/usr/bin/make -f

%:
	if [ -d overlaycheck ]; then rm -r overlaycheck; fi
	dh $@ --with=python3
