## raspi-utils 20250514

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,12 @@
 # List of subsidiary CMakeLists
 add_subdirectory(dtmerge)
 add_subdirectory(eeptools)
+add_subdirectory(kdtc)
 add_subdirectory(otpset)
 add_subdirectory(overlaycheck)
 add_subdirectory(ovmerge)
 add_subdirectory(pinctrl)
+add_subdirectory(piolib)
 add_subdirectory(raspinfo)
 add_subdirectory(vcgencmd)
 add_subdirectory(vclog)
