=== dtmerge/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,13 @@
    add_definitions (-ffunction-sections)
 endif ()
 
-add_library (dtovl ${STATIC} dtoverlay.c)
+add_library (dtovl dtoverlay.c)
 target_link_libraries(dtovl fdt)
+set_target_properties(dtovl PROPERTIES PUBLIC_HEADER dtoverlay.h)
+set_target_properties(dtovl PROPERTIES SOVERSION 0)
+install(TARGETS dtovl
+        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 add_executable(dtmerge dtmerge.c)
 target_link_libraries(dtmerge dtovl)
