=== debian/changelog ===
raspi-utils (20250514-0ubuntu2) questing; urgency=medium

  * Fix dtoverlay's operation after testing new boot assets (LP: #2119043)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 04 Aug 2025 17:16:19 +0100

raspi-utils (20250514-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2119001)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 29 Jul 2025 12:11:15 +0100

raspi-utils (20250514-1) trixie; urgency=medium

  * Update copyright information
  * d/gbp.conf: update debian branch

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jun 2025 08:58:38 +0100

raspi-utils (20250514-1~bookworm) bookworm; urgency=medium

  [ Phil Elwell ]
  * kdtc: Expand the README
  * dtoverlay: Adjust fixups if a phandle is deleted
  * ovmerge: Add "no renumber" option
  * overlaycheck: Add a check for unusable fragments
  * pinctrl: Create and use gpiolib library
  * pinctrl: Add install rule for gpiolib.h header
  * overlaycheck: Add CM0 to the extended list of dtbs
  * piolib: Make piolib a first class library
  * piolib: Make piolib a CMake component
  * piolib: Correct licence to be BSD-3-Clause
  * pinctrl: gpiolib: Add the remaining GPIO chips

  [ Serge Schneider ]
  * d/patches: refresh
  * Add new libraries

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 20 Jun 2025 09:33:40 +0100

raspi-utils (20250314-1) bookworm; urgency=medium

  [ Phil Elwell ]
  * Add kdtc - a "kernel" dts compiler
  * ovmerge: Correct format string in trace code
  * pinctrl: Make GPIO_CHIP_Ts const, because we can
  * eepflash: Update sysfs path for newer kernels
  * dtoverlay: Support comma-separated parameters (better)
  * overlaycheck: Add Pi 500 to extra_base_files
  * ovmerge: Disable Perl warnings about portability
  * pinctrl: Extend bcm2711 up to GPIO57
  * Add piolib
  * piolib: Add dpi_interlace
  * piolib: Add FIFO-related methods
  * piolib: Move into examples and include directories
  * piolib: Add support for C++ clients
  * piolib: Minor reformat
  * piolib: Fix copy-paste errors
  * piolib: Add fatal error handling
  * piolib: Add abstractions for PIO hardware sizes
  * piolib: Add apitest
  * dtmerge: Fix error in CMakeLists.txt
  * kdtc: Infer x.dtbo output from x-overlay.dts input
  * ovmerge: Add -f option, document -q option
  * piolib: Increase data_bytes range to 32-bits
  * kdtc: Add "wget" install method to README
  * kdtc: Try a few different cpp commands
  * piolib: README: Fix path to udev rule
  * piolib: Add hardware/timer.h for compatibility
  * piolib: Add quadenc (quadrature encoder) example
  * piolib: README: Add the quadenc example
  * overlaycheck: Adopt the cpp detection from kdtc
  * piolib: Correct transfer return values
  * piolib: Update apitest to check transfers
  * ovmerge: Fix label handling for intra- fragments
  * overlaycheck: Support common documentation
  * ovmerge: Fix label refcounts
  * piolib: Support larger DMA buffers
  * eepmake: Close string blobs earlier to avoid errors
  * pinctrl: Fix the pulls on BCM2712C0
  * pinctrl: gpiochips section is only for pointers
  * eeptools: Add the POWER_SUPPLY atom

  [ Gemba ]
  * Aligns the numbering of overlay param values to renumbered fragments

  [ Serge Schneider ]
  * Fix typo
  * debian/: refresh patches
  * Bump compat level to 13
  * Install overlaycheck_exclusions.txt and move from .manpages to
    .install files
  * Install kdtc and add debian/not-installed

  [ Nick Hollinghurst ]
  * piolib: examples: Overhaul dpi_interlace, now named dpi_csync
  * piolib: examples: dpi_csync: Bug fix
  * piolib/examples: dpi_csync: Restore support for Equalizing Pulses.

  [ Nicolai Buchwitz ]
  * piolib: README fixes

  [ Rudi Heitbaum ]
  * piolib: fixes may be used uninitialized

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 14 Mar 2025 15:35:40 +0000

raspi-utils (20240903-1) bookworm; urgency=medium

  [ Andrew Scheller ]
  * Correct help-text for pinctrl poll
  * raspinfo: Display EEPROM info for Pi 400, CM4, CM4S and Pi 5
  * Update documentation URLs

  [ Phil Elwell ]
  * pinctrl: Correct alt function range in help
  * dtoverlay: Convert u32s to unsigned strings
  * dtmerge: Increase the maximum DTB size
  * ovmerge: Various byte string fixes
  * pinctrl: Add underscores to the RP1 SD CLK signals
  * pinctrl: Add "level" mode
  * overlaycheck: Check all the base files
  * overlaycheck: Re-indent with spaces
  * overlaycheck: Support reading arm64 dts files

  [ Thorsten Ludewig ]
  * flush stdout on every level change

  [ Rudi Heitbaum ]
  * vclog: fix compiler error with gcc-14.1

  [ Giampiero Baggiani ]
  * pinctrl.c help typo fix

  [ Dave Jones ]
  * Fix lintian warning about bash-completion shebangs
  * Fix modern groff warnings in manpages

  [ Serge Schneider ]
  * d/raspi-utils-core: install bash completions for pinctrl and vcgencmd
  * d/c: Fix Breaks/Depends fields
  * d/p: Refresh overlaycheck.diff

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Sep 2024 13:16:12 +0100

raspi-utils (20240402-4) bookworm; urgency=medium

  * Split raspi-info into multiple binary package
  * Install manpages

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 14 Aug 2024 18:10:52 +0100

raspi-utils (20240402-3) bookworm; urgency=medium

  * d/c: Add pastebinit to recommends

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Apr 2024 16:11:18 +0100

raspi-utils (20240402-2) bookworm; urgency=medium

  * d/control: limit raspi-gpio dependency to ARM architectures
  * d/: add gbp.conf

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 23 Apr 2024 14:00:00 +0100

raspi-utils (20240402-1) bookworm; urgency=medium

  [ Álvaro Fernández Rojas ]
  * eeptools: eepdump: init type before calling eepio_atom_start

  [ Phil Elwell ]
  * pinctrl: Support older versions of glibc
  * overlaycheck: Apply all overlays to one platform
  * dtmerge: Make i2c_arm/vc creation conditional
  * eeplib: Don't use arithmetic on void pointers
  * ovmerge: Don't create 'i2c' as a label

