=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3,
  libfdt-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2.0
 Homepage: https://github.com/raspberrypi/utils
 Rules-Requires-Root: no
 
@@ -99,3 +99,92 @@
 Description: Prints information about the Raspberry Pi for bug reports
  A short script to dump information about the Pi. Intended for the
  submission of bug reports
+
+Package: libdtovl0
+Architecture: any
+Breaks: libraspberrypi0, libraspberrypi-dev, libraspberrypi-doc
+Replaces: libraspberrypi0, libraspberrypi-dev, libraspberrypi-doc
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Library for manipulating Device Tree overlays
+ A development library providing an API for manipulating
+ device tree overlays
+ .
+ This library powers the dtmerge and dtoverlay utilities, providing
+ functions for loading, merging, and applying device tree overlays,
+ resolving fixups, handling parameters, and managing the device tree
+ blob structure.
+ .
+ This package contains the shared library.
+
+Package: libdtovl-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libdtovl0 (= ${binary:Version})
+Description: Library for manipulating Device Tree overlays
+ A development library providing an API for manipulating
+ device tree overlays
+ .
+ This library powers the dtmerge and dtoverlay utilities, providing
+ functions for loading, merging, and applying device tree overlays,
+ resolving fixups, handling parameters, and managing the device tree
+ blob structure.
+ .
+ This package contains the development files.
+
+Package: libpio0
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Library for accessing Raspberry Pi 5 PIO hardware
+ A development library providing user-space API to the rp1-pio driver for
+ accessing PIO hardware on the Raspberry Pi 5.
+ .
+ It implements a clone of the PICO SDK PIO API, allowing existing PIO code
+ to run with minimal modifications by forwarding calls to RP1 through RPC.
+ .
+ This package contains the shared library.
+
+Package: libpio-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libpio0 (= ${binary:Version})
+Description: Library for accessing Raspberry Pi 5 PIO hardware
+ A development library providing user-space API to the rp1-pio driver for
+ accessing PIO hardware on the Raspberry Pi 5.
+ .
+ It implements a clone of the PICO SDK PIO API, allowing existing PIO code
+ to run with minimal modifications by forwarding calls to RP1 through RPC.
+ .
+ This package contains the development files.
+
+Package: libgpiolib0
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: GPIO library for Raspberry Pi devices
+ A development library providing a user-space API for accessing and controlling
+ GPIO pins on Raspberry Pi hardware.
+ .
+ The library supports runtime detection of GPIO controllers from Device Tree,
+ referring to GPIOs by name or number, and provides both basic pin control
+ and monitoring capabilities.
+ .
+ This package contains the shared library.
+
+Package: libgpiolib-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libgpiolib0 (= ${binary:Version})
+Description: GPIO library for Raspberry Pi devices
+ A development library providing a user-space API for accessing and controlling
+ GPIO pins on Raspberry Pi hardware.
+ .
+ The library supports runtime detection of GPIO controllers from Device Tree,
+ referring to GPIOs by name or number, and provides both basic pin control
+ and monitoring capabilities.
+ .
+ This package contains the development files.
