=== debian/rules ===
#!/usr/bin/make -f

%:
	if [ -d overlaycheck ]; then rm -r overlaycheck; fi
	dh $@ --with=python3

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=1
