=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/^//" \
https://archive.raspberrypi.org/debian/pool/main/r/@PACKAGE@/ \
@PACKAGE@_@ANY_VERSION@\.orig\.tar\.(?:gz|xz)
