## raspi-utils 20251002

=== debian/changelog ===
raspi-utils (20251002-1) trixie; urgency=medium

  [ Tim Gover ]
  * rpifwcrypto: armhf printf fixes
  * rpifwcrypto: Add a command to retrieve private keys
  * rpifwcrypto: Add genkey command
  * rpifwcrypto: Fix file handle leak in genkey error handling path

  [ Serge Schneider ]
  * Revert "Add armhf build fix"
  * Update librpifwcrypto0.symbols

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Oct 2025 15:29:56 +0100

raspi-utils (20250826-1) trixie; urgency=medium

  [ Phil Elwell ]
  * ovmerge: Update Copyright details, remove GPL-2.0
  * dtoverlay: Fix node_is_enabled for implicit status
  * dtmerge: Convert TABs to spaces
  * dtoverlay: Make remapping stop at the first rename
  * dtmerge: Support parameters from renames
  * overlaycheck: Don't try applying vl805 to cm4s
  * overlaycheck: Compile all overlays before merging
  * overlaycheck: More trace messages in verbose mode
  * kdtc: Auto-compile non-overlays
  * pinctrl: Add -l (list) mode
  * pinctrl: Also look for GPIO chips without aliases
  * pinctrl: Add support for firmware-controlled GPIOs
  * pinctrl: Mention list (-l) mode in the README
  * pinctrl: Work around MUSL brokenness and obstinacy
  * pinctrl: Clarify the required privilege level
  * ovmerge: Include any local '#defines' in output
  * eeptools: Fix the usage information
  * ovmerge: Add token breakpoint option
  * ovmerge: Support #include after properties
  * pinctrl: Tolerate missing GPIO line names

  [ Torben Woltjen ]
  * Clarify docs: Add example for dtmerge and more precisely describe
    available parameters
  * Add RPi 5 base device tree with MCP2515 device-tree overlay as an
    example

  [ Sonny Piers ]
  * eeptools: Fix flash example

  [ Tim Gover ]
  * rpifwcrypto: Initial revision
  * rpifwcrypto: Only build rpifwcrypto if libgnutls28-dev is available
  * rpifwcrypto: Assorted tidyups
  * rpifwcrypto: Add an API to retrieve public keys

  [ Serge Schneider ]
  * libgpiolib0: Add missing symbols
  * Add rpifwcrypto packages
  * Add armhf build fix

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Aug 2025 09:36:02 +0100
