## raspi-utils 20251120

=== debian/changelog ===
raspi-utils (20251120-1) trixie; urgency=medium

  [ Phil Elwell ]
  * overlaycheck: Allow long lines without spaces
  * overlaycheck: Accept generic abc123x matches
  * piolib: Fix cut-and-paste error in pio_rp1.c

  [ Dom Cobley ]
  * raspinfo: Improve display info output
  * raspinfo: report libcamera-hello output if installed

  [ David Caldwell ]
  * piolib: Fix cut-and-paste error in pio_rp1.c (in
    rp1_pio_sm_clkdiv_restart())

  [ Tim Gover ]
  * rpifwcrypto: hmac: Fix the size of tag buffer
  * rpifwcrypto: Actually fix the size of the HMAC mbox message

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 20 Nov 2025 12:49:43 +0000
